<!-- Creado: Jorge Antonio Mendoza Salazar, 19/09/2016. Se crea la la vista. -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 08/11/2016. -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 29/11/2016. Se terminó la funcionalidad de la vista -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 07/12/2016. (Se corrigen errores en las rutas)-->
<!-- Modificado: Félix Ricardo Oliva Alonso, 02/01/2017. Se terminó la funcionalidad de la vista (Se cambió la función de Activo/Baja)-->
<!-- Modificado: Jorge Antonio Mendoza Salazar, 09/02/2017. Se cambió la función de Activo/Baja -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 08/03/2017. Se terminó la funcionalidad de listar-->


<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $r_vCat_ModulosFE = $soapclient->vCat_ModulosFE($wsClave);
  $RS_vCat_ModulosFE = new SimpleXMLElement(utf8_encode($r_vCat_ModulosFE));



  if(isset($_POST['idacceso']) ){
    $response = $soapclient->AdministrarAccesosDelFE_getAccesoFE($_POST['idacceso'],$wsClave);
    $registro = new SimpleXMLElement(utf8_encode($response));
    $registro= $registro->respuesta[0];

    if($registro->id_acceso != ''){

      $id_acceso=$registro->id_acceso;
      $titulomodulo=$registro->titulomodulo;
      $titulo=$registro->titulo;
      $ubicacion=$registro->ubicacion;
      $descripcion=$registro->descripcion;

      $id_modulo=$registro->id_modulo;

    }
  }



?>

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>


<script>
  $("#btn_guardar_aacc3").click(function() {
    $.ajax({
      type: "POST",
      url: 'accesos-AdministrarAccesosDelFE_up_AccesoFE',
      data: $("#admin_accesos3").serialize(),
      success: function(data) {
        xmlDoc = $.parseXML( data ),
        $xml = $( xmlDoc );
        $($xml).each(function() {
          var error = ($(this).find("Respuesta>error").text());
          var titulo = ($(this).find("Respuesta>titulo").text());
          var descripcion = ($(this).find("Respuesta>descripcion").text());

          if(error==0) {
            $.notify("Registro actualizado exitosamente", "success");
            $('#admin_accesos3')[0].reset();
            //  setTimeout(function(){window.location = "perfiles"}, 2000);
          }
          if(error==1) {
            $.notify(descripcion, "error");
            $.notify(titulo, "error");
          }
        });
      },
      error : function(xhr, status) {
        $.notify("No se pudo actualizar el registro", "error");
      },
    });
    return false;
  });

  $( ".cerrar_form" ).click(function() {
    jqGetAjax("cerrar","tblMovimientos", { });
  });

    $(document).on("click", ".cerrar_form2", function(){
      jqGetAjax("accesos-addModuloLst","tblMovimientos2", { });
    });
</script>



    {{-- ////////////////////////////////////////// Editar Acceso ////////////////////////////////////////// --}}
  <!--   <form id="admin_accesos3"  method="post" action="accesos-AdministrarAccesosDelFE_up_AccesoFE"> -->
    <form id="admin_accesos3"  >
      <div class="row">
        <div class="titulo_fondo">
          <div class="titulo_pagina2">EDITAR ACCESO</div>
          <a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" /></a>
        </div>
      </div>

      <div class="row">
        <div class="form-group-sm  col-md-3">
          <div class="form-inline">
            Módulo<br>


      <select name="modulo_aacc3" id="modulo_aacc3" class="form-control-img form-control" >
        @foreach($RS_vCat_ModulosFE->respuesta as $mcat)
          <option value="{!! $mcat->id_modulo !!}" <?php if(utf8_decode($mcat->id_modulo) == utf8_decode($id_modulo) )
          echo 'selected="selected"'; ?>>{!! utf8_decode($mcat->titulo) !!}</option>
        @endforeach
     </select>


            <img src="Img/add.png" height="23" data-toggle="modal" data-target="#agregar_modulo_aacc2" class="cerrar_form2" title="Agregar nuevo Módulo" style="cursor: pointer;"/>
          </div>
        </div>

        <div class=" form-group-sm  col-md-2">
          Título<input type="text" class="form-control" name="nombre_aacc3" id="nombre_aacc3"  placeholder="Máximo 200 caracteres" value="{!! utf8_decode($titulo); !!}"/>
        </div>

        <div class=" form-group-sm  col-md-2">
          Ubicación<input type="text" class="form-control" name="ubicacion_aacc3" id="ubicacion_aacc3"  placeholder="Máximo 200 caracteres" value="{!! utf8_decode($ubicacion); !!}"/>
        </div>

        <div class="form-group-sm col-md-3">
          Descripción: <br><textarea rows="2" cols="45" id="descripcion_aacc3" name="descripcion_aacc3" >{!! utf8_decode($descripcion); !!}</textarea><br />
        </div>
      </div>

      <div class=" form-group-sm  col-md-2" style="display: none">
        <input type="text" class="form-control" name="id_acceso_aacc3" id="id_acceso_aacc3"   value="{!! $id_acceso; !!}"/>
      </div>

  <div id="tblMovimientos2" name="tblMovimientos2"></div>

      <div class="sombra_cm" >
        <div class="col1">
          <button type="button" id="btn_guardar_aacc3">Guardar</button>
        </div>
      </div>





    </form>

    <br>
